Skip to main content
GET
Get a recurring appointment

Path Parameters

barberId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

recurringAppointmentId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Response

Ok. The operation succeeded.

A representation of a recurring appointment.

frequency
enum<string>
required

The frequency at which appointments recur. Appointments are created in the background by the system based on this frequency.

Available options:
daily,
weekly,
biweekly,
semimonthly,
monthly,
quarterly,
annually
startDate
string<date>
required

The start date for the recurring appointment series. Appointments will be created starting from this date.

Pattern: ^\d{4}-\d{2}-\d{2}$
active
boolean
required

Whether the recurring appointment is active. When inactive, no new appointments will be created for this series.

customerReference
object
required

A reference to the customer for this recurring appointment. Its surname is omitted when the customer limits barber visibility to the surname initial.

id
string
required

The unique identifier for this recurring appointment.

barber
object
required

A reference to the barber for this recurring appointment.

location
object
required

The location for appointments in this series.

services
object[]
required

The services for appointments in this series.

createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

endDate
string<date>

The end date for the recurring appointment series, if specified. If not specified, appointments are created up to one year from the start date or current date, whichever is later.

Pattern: ^\d{4}-\d{2}-\d{2}$
displayName
string

The customer name the authenticated barber may display. Under initial-only visibility, this contains the given name and surname initial, never the full surname.